# -*- encoding: utf-8 -*-
# stub: rest-client 2.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rest-client".freeze
  s.version = "2.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["REST Client Team".freeze]
  s.date = "2017-04-23"
  s.description = "A simple HTTP and REST client for Ruby, inspired by the Sinatra microframework style of specifying actions: get, put, post, delete.".freeze
  s.email = "rest.client@librelist.com".freeze
  s.executables = ["restclient".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "history.md".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".rubocop-disables.yml".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "AUTHORS".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin/restclient".freeze, "history.md".freeze, "lib/rest-client.rb".freeze, "lib/rest_client.rb".freeze, "lib/restclient.rb".freeze, "lib/restclient/abstract_response.rb".freeze, "lib/restclient/exceptions.rb".freeze, "lib/restclient/params_array.rb".freeze, "lib/restclient/payload.rb".freeze, "lib/restclient/platform.rb".freeze, "lib/restclient/raw_response.rb".freeze, "lib/restclient/request.rb".freeze, "lib/restclient/resource.rb".freeze, "lib/restclient/response.rb".freeze, "lib/restclient/utils.rb".freeze, "lib/restclient/version.rb".freeze, "lib/restclient/windows.rb".freeze, "lib/restclient/windows/root_certs.rb".freeze, "rest-client.gemspec".freeze, "rest-client.windows.gemspec".freeze, "spec/helpers.rb".freeze, "spec/integration/_lib.rb".freeze, "spec/integration/capath_digicert/244b5494.0".freeze, "spec/integration/capath_digicert/81b9768f.0".freeze, "spec/integration/capath_digicert/README".freeze, "spec/integration/capath_digicert/digicert.crt".freeze, "spec/integration/capath_verisign/415660c1.0".freeze, "spec/integration/capath_verisign/7651b327.0".freeze, "spec/integration/capath_verisign/README".freeze, "spec/integration/capath_verisign/verisign.crt".freeze, "spec/integration/certs/digicert.crt".freeze, "spec/integration/certs/verisign.crt".freeze, "spec/integration/httpbin_spec.rb".freeze, "spec/integration/integration_spec.rb".freeze, "spec/integration/request_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/_lib.rb".freeze, "spec/unit/abstract_response_spec.rb".freeze, "spec/unit/exceptions_spec.rb".freeze, "spec/unit/master_shake.jpg".freeze, "spec/unit/params_array_spec.rb".freeze, "spec/unit/payload_spec.rb".freeze, "spec/unit/raw_response_spec.rb".freeze, "spec/unit/request2_spec.rb".freeze, "spec/unit/request_spec.rb".freeze, "spec/unit/resource_spec.rb".freeze, "spec/unit/response_spec.rb".freeze, "spec/unit/restclient_spec.rb".freeze, "spec/unit/utils_spec.rb".freeze, "spec/unit/windows/root_certs_spec.rb".freeze]
  s.homepage = "https://github.com/rest-client/rest-client".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Simple HTTP and REST client for Ruby, inspired by microframework syntax for specifying actions.".freeze
  s.test_files = ["spec/helpers.rb".freeze, "spec/integration/_lib.rb".freeze, "spec/integration/capath_digicert/244b5494.0".freeze, "spec/integration/capath_digicert/81b9768f.0".freeze, "spec/integration/capath_digicert/README".freeze, "spec/integration/capath_digicert/digicert.crt".freeze, "spec/integration/capath_verisign/415660c1.0".freeze, "spec/integration/capath_verisign/7651b327.0".freeze, "spec/integration/capath_verisign/README".freeze, "spec/integration/capath_verisign/verisign.crt".freeze, "spec/integration/certs/digicert.crt".freeze, "spec/integration/certs/verisign.crt".freeze, "spec/integration/httpbin_spec.rb".freeze, "spec/integration/integration_spec.rb".freeze, "spec/integration/request_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/_lib.rb".freeze, "spec/unit/abstract_response_spec.rb".freeze, "spec/unit/exceptions_spec.rb".freeze, "spec/unit/master_shake.jpg".freeze, "spec/unit/params_array_spec.rb".freeze, "spec/unit/payload_spec.rb".freeze, "spec/unit/raw_response_spec.rb".freeze, "spec/unit/request2_spec.rb".freeze, "spec/unit/request_spec.rb".freeze, "spec/unit/resource_spec.rb".freeze, "spec/unit/response_spec.rb".freeze, "spec/unit/restclient_spec.rb".freeze, "spec/unit/utils_spec.rb".freeze, "spec/unit/windows/root_certs_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<webmock>.freeze, ["~> 2.0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<pry>.freeze, ["~> 0"])
      s.add_development_dependency(%q<pry-doc>.freeze, ["~> 0"])
      s.add_development_dependency(%q<rdoc>.freeze, ["< 6.0", ">= 2.4.2"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0"])
      s.add_runtime_dependency(%q<http-cookie>.freeze, ["< 2.0", ">= 1.0.2"])
      s.add_runtime_dependency(%q<mime-types>.freeze, ["< 4.0", ">= 1.16"])
      s.add_runtime_dependency(%q<netrc>.freeze, ["~> 0.8"])
    else
      s.add_dependency(%q<webmock>.freeze, ["~> 2.0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_dependency(%q<pry>.freeze, ["~> 0"])
      s.add_dependency(%q<pry-doc>.freeze, ["~> 0"])
      s.add_dependency(%q<rdoc>.freeze, ["< 6.0", ">= 2.4.2"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0"])
      s.add_dependency(%q<http-cookie>.freeze, ["< 2.0", ">= 1.0.2"])
      s.add_dependency(%q<mime-types>.freeze, ["< 4.0", ">= 1.16"])
      s.add_dependency(%q<netrc>.freeze, ["~> 0.8"])
    end
  else
    s.add_dependency(%q<webmock>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0"])
    s.add_dependency(%q<pry-doc>.freeze, ["~> 0"])
    s.add_dependency(%q<rdoc>.freeze, ["< 6.0", ">= 2.4.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0"])
    s.add_dependency(%q<http-cookie>.freeze, ["< 2.0", ">= 1.0.2"])
    s.add_dependency(%q<mime-types>.freeze, ["< 4.0", ">= 1.16"])
    s.add_dependency(%q<netrc>.freeze, ["~> 0.8"])
  end
end

